
import boto3
import random

def generate_random_s3_bucket_name(prefix="my-bucket-"):
    """
    Generates a random S3 bucket name using a given prefix.
    """
    client = boto3.client('s3')
    while True:
        bucket_name = f"{prefix}{random.randint(1000, 9999)}"
        try:
            client.head_bucket(Bucket=bucket_name)
            break
        except client.exceptions.ClientError as e:
            if e.response['Error']['Code'] == "404":
                break
            else:
                raise

